My Oracle Support Banner

Cannot Publish Mobile App On PlayStore failing with app currently targets API level 28 and must target at least API level 29 (Doc ID 2713694.1)

Last updated on SEPTEMBER 26, 2020

Applies to:

Visual Builder - Version 19.1.3 and later
Visual Builder - VB - Version 19.4.3 to 19.4.3
Information in this document applies to any platform.

Symptoms

Developed a mobile app on VBCS, and downloaded the build apk file.
When uploading that apk file on playstore, We are running into following error:

Your app currently targets API level 28 and must target at least API level 29 to ensure it is built on the latest APIs optimized for security and performance. Change your app's target API level to at least 29. Learn More

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.